"""
Config file for Rougail-user-data-environment

Silique (https://www.silique.fr)
Copyright (C) 2024

distribued with GPL-2 or later license

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
"""

"rougail environment variable prefix"
rougail_environment_var = "ROUGAIL_"


def get_rougail_config(*,
                       backward_compatibility=True,
                       ) -> dict:
    options = """
environment:
  description: Define value from the environment
  disabled:
    type: jinja
    jinja: |
      {% if 'environment' not in step.user_data %}
      disabled
      {% endif %}
  mandatory:
    description: Ask values only for mandatories variables without any value
    negative_description: Ask values all variables
    alternative_name: envm
    default: false
"""
    return {'name': 'environment',
            'process': 'user data',
            'options': options,
            'level': 50,
            }


__all__ = ('get_rougail_config',)
